import createDisplay from './createDisplay';
import defineDisplay from './defineDisplay';
import callDisplays from './callDisplays';
import getDisplay from './getDisplay';
import normalizeCallDisplayArguments from './normalizeCallDisplayArguments';
import display from './display';
import displayArgumentsPropType from './propType';
import * as presetDisplays from './presets';
export * from './types';
export { presetDisplays, createDisplay, defineDisplay, callDisplays, getDisplay, normalizeCallDisplayArguments, display, displayArgumentsPropType, };
// fallback
export const presetRenders = presetDisplays;
export const createRender = createDisplay;
export const defineRender = defineDisplay;
export const callRenders = callDisplays;
export const getRender = getDisplay;
export const normalizeCallRenderArguments = normalizeCallDisplayArguments;
export const render = display;
export const renderArgumentsPropType = displayArgumentsPropType;
