import { getMutable } from '../../runtime';
export default function resolveCustomHeaders(dsPath, url) {
    const customHeadersResolver = getMutable('DS_CUSTOM_HEADERS_RESOLVER');
    if (typeof customHeadersResolver === 'function') {
        return customHeadersResolver(dsPath, url);
    }
    return undefined;
}
