import { isAbsoluteUrl } from '../../utils';
import getPrefixResolver from './getPrefixResolver';
export default function resolveRequestPath(dsPath) {
    if (isAbsoluteUrl(dsPath)) {
        return dsPath;
    }
    const resolver = getPrefixResolver();
    return resolver(dsPath);
}
