import { map, toString } from 'lodash';
import { renamePickByArray } from '../utils';
function toOptions(source, valuePath, labelPath) {
    if (Array.isArray(source)) {
        return map(renamePickByArray(source, [[valuePath, 'value'], [labelPath, 'label']]), record => (Object.assign(Object.assign({}, record), { label: toString(record.label) })));
    }
    return map(source, (label, value) => ({
        value,
        label: toString(label)
    }));
}
export default toOptions;
