import { flatten, isNil, toString } from 'lodash';
/**
 * 拼接 vpath
 */
export default function concatVpath(...args) {
    return flatten(args.filter((v) => !isNil(v)).map((v) => toString(v).split('.')))
        .filter((v) => toString(v).length)
        .join('.')
        .replace(/\.\[/g, '[');
}
