"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class DSError extends Error {
    constructor(message, state) {
        super(message);
        this.isNetworkError = false;
        this.isHttpError = false;
        this.isParsedError = false;
        this.status = state.status;
        this.isNetworkError = !!state.isNetworkError;
        this.isHttpError = !!state.isHttpError;
        this.httpStatus = state.httpStatus;
        this.isParsedError = !!state.isParsedError;
        this.responseBodyText = state.responseBodyText;
    }
}
exports.default = DSError;
