"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const getPrefixResolver_1 = __importDefault(require("./getPrefixResolver"));
function resolveRequestPath(dsPath) {
    if (utils_1.isAbsoluteUrl(dsPath)) {
        return dsPath;
    }
    const resolver = getPrefixResolver_1.default();
    return resolver(dsPath);
}
exports.default = resolveRequestPath;
