"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const utils_1 = require("../utils");
function toOptions(source, valuePath, labelPath) {
    if (Array.isArray(source)) {
        return lodash_1.map(utils_1.renamePickByArray(source, [[valuePath, 'value'], [labelPath, 'label']]), record => (Object.assign(Object.assign({}, record), { label: lodash_1.toString(record.label) })));
    }
    return lodash_1.map(source, (label, value) => ({
        value,
        label: lodash_1.toString(label)
    }));
}
exports.default = toOptions;
