"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = exports.getMutable = exports.setMutable = void 0;
const lodash_1 = require("lodash");
const MUTABLES = __importStar(require("./Mutables"));
const coreSymbol = '__BF_CORE_SYMBOL_CONFIG__';
const scope = Object.assign(typeof window === 'object' ? window : {}, {
    [coreSymbol]: Object.assign(Object.assign({}, MUTABLES), lodash_1.get(window, coreSymbol)),
});
function setMutable(name, value) {
    try {
        scope[coreSymbol][name] = value;
    }
    catch (err) {
        throw new Error(`【bf-core】设置全局变量失败：${name}`);
    }
}
exports.setMutable = setMutable;
function getMutable(name) {
    try {
        return scope[coreSymbol][name];
    }
    catch (err) {
        return lodash_1.get(MUTABLES, name);
    }
}
exports.getMutable = getMutable;
function config(key, ...args) {
    if (args.length === 0) {
        return getMutable(key);
    }
    setMutable(key, args[0]);
    return undefined;
}
exports.config = config;
