"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const runtime_1 = require("../../runtime");
const getConstValue = lodash_1.curry((mapObject, key) => {
    if (key === true) {
        key = runtime_1.getMutable('FORMAT_BOOLEAN_TO_STRING_TRUE');
    }
    else if (key === false) {
        key = runtime_1.getMutable('FORMAT_BOOLEAN_TO_STRING_FALSE');
    }
    return lodash_1.get(mapObject, lodash_1.toString(key), '');
}, 2);
exports.default = getConstValue;
