"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bf_utils_1 = require("bf-utils");
const eqConst_1 = __importDefault(require("./eqConst"));
/**
 * 值是否匹配常量数组中的某一个常量
 */
function inConsts(value, consts) {
    return bf_utils_1.ensureArray(consts).some((c) => eqConst_1.default(value, c));
}
exports.default = inConsts;
