"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 从错误对象中获取错误信息
 *
 * @param e
 * @param defaultMsg
 * @return
 */
function getMessageFromError(e, defaultMsg = '') {
    if (typeof e === 'string') {
        return e;
    }
    return (e && e.message) || defaultMsg;
}
exports.default = getMessageFromError;
