"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * 加载 JS 脚本
 */
function loadJs(src) {
    return new Promise((resolve, reject) => {
        const node = document.createElement('script');
        document.body.appendChild(node);
        node.async = true;
        node.defer = true;
        node.onload = resolve;
        node.onerror = reject;
        node.src = src;
    });
}
exports.default = loadJs;
