"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIndex = exports.getNewArray = void 0;
const lodash_1 = require("lodash");
const bf_utils_1 = require("bf-utils");
function getNewArray(array) {
    return bf_utils_1.ensureArray(array).slice();
}
exports.getNewArray = getNewArray;
function getIndex(index) {
    if (lodash_1.isNil(index) || index === '' || Number.isNaN(+index)) {
        return null;
    }
    return +index;
}
exports.getIndex = getIndex;
