"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
const parseVpath_1 = __importDefault(require("../parse/parseVpath"));
/**
 * 获取对象在 vpath 位置上的值，若位置不存在则返回 `defaultValue`。
 */
function vget(target, vpath, defaultValue) {
    const { lodashPath } = parseVpath_1.default(target, vpath);
    return lodash_1.get(target, lodashPath, defaultValue);
}
exports.default = vget;
