import createDisplay from './createDisplay';
import defineDisplay from './defineDisplay';
import callDisplays from './callDisplays';
import getDisplay from './getDisplay';
import normalizeCallDisplayArguments from './normalizeCallDisplayArguments';
import display from './display';
import displayArgumentsPropType from './propType';
import * as presetDisplays from './presets';
export * from './types';
export { presetDisplays, createDisplay, defineDisplay, callDisplays, getDisplay, normalizeCallDisplayArguments, display, displayArgumentsPropType, };
export declare const presetRenders: typeof presetDisplays;
export declare const createRender: typeof createDisplay;
export declare const defineRender: typeof defineDisplay;
export declare const callRenders: typeof callDisplays;
export declare const getRender: typeof getDisplay;
export declare const normalizeCallRenderArguments: typeof normalizeCallDisplayArguments;
export declare const render: typeof display;
export declare const renderArgumentsPropType: import("prop-types").Requireable<string | object>;
