import invariant from 'invariant';
import warning from 'warning';
import { ensureObject } from '../utils';
import { Display } from './types';
export { invariant, warning };
export declare const DISPLAY = "__BF_CORE_SYMBOL_bfDisplay__";
export declare const DEFAULT_DISPLAY_PARAM_KEY = "__BF_CORE_SYMBOL_bfDisplayDefaultParamKey__";
export declare function displayStorage(type: string): Display;
export declare function displayStorage(type: string, display: Display): void;
export declare function isDisplay(display: any): boolean;
export { ensureObject };
