import { IDSError } from './types';
export default class DSError extends Error implements IDSError {
    isNetworkError: boolean;
    isHttpError: boolean;
    httpStatus?: number;
    isParsedError: boolean;
    status?: number;
    responseBodyText?: string;
    constructor(message: string, state: {
        isNetworkError?: boolean;
        isHttpError?: boolean;
        httpStatus?: number;
        status?: number;
        isParsedError?: boolean;
        responseBodyText?: string;
    });
}
