import { curry, get, toString } from 'lodash';
import { getMutable } from '../../runtime';
const getConstValue = curry((mapObject, key) => {
    if (key === true) {
        key = getMutable('FORMAT_BOOLEAN_TO_STRING_TRUE');
    }
    else if (key === false) {
        key = getMutable('FORMAT_BOOLEAN_TO_STRING_FALSE');
    }
    return get(mapObject, toString(key), '');
}, 2);
export default getConstValue;
