/**
 * 从错误对象中获取错误信息
 *
 * @param e
 * @param defaultMsg
 * @return
 */
export default function getMessageFromError(e, defaultMsg = '') {
    if (typeof e === 'string') {
        return e;
    }
    return (e && e.message) || defaultMsg;
}
