/**
 * 加载 JS 脚本
 */
export default function loadJs(src) {
    return new Promise((resolve, reject) => {
        const node = document.createElement('script');
        document.body.appendChild(node);
        node.async = true;
        node.defer = true;
        node.onload = resolve;
        node.onerror = reject;
        node.src = src;
    });
}
