import urlKit from 'url';
/**
 * 扩展 url 的 query
 *
 * @param url
 * @param query
 */
export default function extendUrlQuery(url, query) {
    const urlObj = urlKit.parse(url, true);
    urlObj.query = Object.assign(Object.assign({}, urlObj.query), query);
    urlObj.search = null;
    return urlKit.format(urlObj);
}
