import { get } from 'lodash';
import parseVpath from '../parse/parseVpath';
/**
 * 获取对象在 vpath 位置上的值，若位置不存在则返回 `defaultValue`。
 */
export default function vget(target, vpath, defaultValue) {
    const { lodashPath } = parseVpath(target, vpath);
    return get(target, lodashPath, defaultValue);
}
