import { toPath } from 'lodash';
const getRevpathRex = () => {
    return /^\s*(\w+)\s*=\s*(.+)\s*$/g;
};
export default function parseVpathPattern(pattern) {
    const reVpath = getRevpathRex();
    const match = reVpath.exec(toPath(pattern)[0]);
    if (!match) {
        return null;
    }
    return {
        key: match[1],
        value: match[2],
        source: match[0],
    };
}
