"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const runtime_1 = require("../../runtime");
function resolveCustomHeaders(dsPath, url) {
    const customHeadersResolver = runtime_1.getMutable('DS_CUSTOM_HEADERS_RESOLVER');
    if (typeof customHeadersResolver === 'function') {
        return customHeadersResolver(dsPath, url);
    }
    return undefined;
}
exports.default = resolveCustomHeaders;
