"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.emit = exports.off = exports.on = void 0;
const events_1 = __importDefault(require("events"));
const ee = new events_1.default();
function on(event, handler) {
    ee.on(event, handler);
}
exports.on = on;
function off(event, handler) {
    ee.off(event, handler);
}
exports.off = off;
function emit(event, ...eventArgs) {
    ee.emit(event, ...eventArgs);
}
exports.emit = emit;
