"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const url_1 = __importDefault(require("url"));
/**
 * 扩展 url 的 query
 *
 * @param url
 * @param query
 */
function extendUrlQuery(url, query) {
    const urlObj = url_1.default.parse(url, true);
    urlObj.query = Object.assign(Object.assign({}, urlObj.query), query);
    urlObj.search = null;
    return url_1.default.format(urlObj);
}
exports.default = extendUrlQuery;
