"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lodash_1 = require("lodash");
/**
 * 拼接 vpath
 */
function concatVpath(...args) {
    return lodash_1.flatten(args.filter((v) => !lodash_1.isNil(v)).map((v) => lodash_1.toString(v).split('.')))
        .filter((v) => lodash_1.toString(v).length)
        .join('.')
        .replace(/\.\[/g, '[');
}
exports.default = concatVpath;
