"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parseVpathPattern_1 = __importDefault(require("../parse/parseVpathPattern"));
/**
 * 从 vpath 中获取 key
 * 若不是 vpath 则返回 null
 */
function getKeyByvPattern(vpath) {
    const r = parseVpathPattern_1.default(vpath);
    if (!r) {
        return null;
    }
    return r.key;
}
exports.default = getKeyByvPattern;
