import { DSRequestConfig, DSRequestParams } from './types';
export declare const dsSymbol = "__BF_CORE_SYMBOL_CALL_API__";
export declare const defaultGetDataFromResponse: (response: any) => any;
/**
 * 发起 API 请求
 */
declare function ds<D = any>(dsPath: string, params?: DSRequestParams, config?: DSRequestConfig): Promise<D>;
declare function ds<D = any>(value: [string, DSRequestParams?, DSRequestConfig?]): Promise<D>;
declare function ds<D = any>(value: {
    dsPath: string;
    params?: DSRequestParams;
} & DSRequestConfig): Promise<D>;
export default ds;
/**
 * 检测函数是否通过 ds() 创建的
 *
 * @param func
 * @return
 */
export declare function isDs(func: any): boolean;
