import { DSRequestParams, IDSError } from '../ds/types';
declare type DS_REQUEST_START_HANDLER = (mark: {
    url: string;
    dsPath: string;
    params: DSRequestParams;
    id: string;
}) => void;
declare type DS_REQUEST_END_HANDLER = (error: IDSError | undefined, data: any, mark: {
    url: string;
    dsPath: string;
    params: DSRequestParams;
    id: string;
}) => void;
export declare function on(event: 'DS_REQUEST_START', handler: DS_REQUEST_START_HANDLER): void;
export declare function on(event: 'DS_REQUEST_END', handler: DS_REQUEST_END_HANDLER): void;
export declare function off(event: 'DS_REQUEST_START', handler: DS_REQUEST_START_HANDLER): void;
export declare function off(event: 'DS_REQUEST_END', handler: DS_REQUEST_END_HANDLER): void;
export declare function emit(event: 'DS_REQUEST_START', ...args: Parameters<DS_REQUEST_START_HANDLER>): void;
export declare function emit(event: 'DS_REQUEST_END', ...args: Parameters<DS_REQUEST_END_HANDLER>): void;
export {};
